RagTime5TextInternal::ClusterText Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
RagTime5TextInternal::ClusterText Struct Reference

low level: the text cluster of a RagTime5Text More...

Inheritance diagram for RagTime5TextInternal::ClusterText:

## Public Member Functions
| ClusterText ()
| constructor More...
virtual | ~ClusterText ()
| destructor More...
Public Member Functions inherited from RagTime5ClusterManager::Cluster
| Cluster (Type type)
| constructor More...
virtual | ~Cluster ()
| destructor More...

## Public Attributes
RagTime5ClusterManager::Link | m_contentLink
| the main content More...
RagTime5ClusterManager::Link | m_plcDefLink
| the plc definition link More...
int | m_plcDefFreeBegin
| the plc first free block in the plc definition list More...
int | m_plcDefNumFree
| the number of free block in the plc definition list More...
RagTime5ClusterManager::Link | m_plcToStyleLink
| the plc to text style link More...
RagTime5ClusterManager::Link | m_block2ToPlcLink
| the block2 to plc link More...
RagTime5ClusterManager::Link | m_separatorLink
| the word/separator link More...
RagTime5ClusterManager::Link | m_clusterLink [2]
| cluster links 0: list of size 10(pipeline?) and 14(graphic?), 1: list of size 12(related to link) More...
std::vector< RagTime5ClusterManager::Link > | m_linkDefList
| the list of link zone More...
RagTime5ClusterManager::Link | m_unknownLink [2]
| list of unknown link: first with field of size 14, 2th with field of size 12 More...
std::vector< std::vector< Block > > | m_blockList
| list of block (defined in header) More...
std::vector< Block > | m_block2List
| list of block (defined in block2 list) More...
std::vector< PLC > | m_PLCList
| the PLC list More...
std::multimap< int, int > | m_posToStyleIdMap
| position to plc map More...
Public Attributes inherited from RagTime5ClusterManager::Cluster
Type | m_type
| the cluster type More...
int | m_zoneId
| the zone id More...
bool | m_hiLoEndian
| the cluster hiLo endian More...
librevenge::RVNGString | m_name
| the cluster name (if know) More...
Link | m_dataLink
| the main data link More...
Link | m_nameLink
| the name link More...
Link | m_fieldClusterLink
| the field cluster links (def and pos) More...
std::vector< Link > | m_conditionFormulaLinks
| the conditions formula links More...
std::vector< Link > | m_settingLinks
| the settings links More...
std::vector< Link > | m_linksList
| the link list More...
std::vector< int > | m_clusterIdsList
| the cluster ids More...
bool | m_isSent
| true if the cluster was send More...

## Additional Inherited Members
Public Types inherited from RagTime5ClusterManager::Cluster
enum | Type { C_ColorPattern, C_Fields, C_Layout, C_Pipeline, C_Root, C_ClusterGProp, C_Script, C_ChartZone, C_GraphicZone, C_PictureZone, C_SpreadsheetZone, C_TextZone, C_ColorStyles, C_FormatStyles, C_GraphicStyles, C_TextStyles, C_UnitStyles, C_ClusterC, C_Empty, C_Unknown }
| the cluster type More...

## Detailed Description

low level: the text cluster of a RagTime5Text

## Constructor & Destructor Documentation

RagTime5TextInternal::ClusterText::ClusterText | ( |  | ) |
| inline

constructor

RagTime5TextInternal::ClusterText::~ClusterText | ( |  | ) |
| virtual

destructor

## Member Data Documentation

std::vector<Block> RagTime5TextInternal::ClusterText::m_block2List

list of block (defined in block2 list)

Referenced by RagTime5Text::send().

RagTime5ClusterManager::Link RagTime5TextInternal::ClusterText::m_block2ToPlcLink

the block2 to plc link

std::vector<std::vector<Block> > RagTime5TextInternal::ClusterText::m_blockList

list of block (defined in header)

Referenced by RagTime5Text::send().

RagTime5ClusterManager::Link RagTime5TextInternal::ClusterText::m_clusterLink[2]

cluster links 0: list of size 10(pipeline?) and 14(graphic?), 1: list of size 12(related to link)

RagTime5ClusterManager::Link RagTime5TextInternal::ClusterText::m_contentLink

the main content

Referenced by RagTime5Text::send().

std::vector<RagTime5ClusterManager::Link> RagTime5TextInternal::ClusterText::m_linkDefList

the list of link zone

int RagTime5TextInternal::ClusterText::m_plcDefFreeBegin

the plc first free block in the plc definition list

Referenced by RagTime5Text::readPLC().

RagTime5ClusterManager::Link RagTime5TextInternal::ClusterText::m_plcDefLink

the plc definition link

int RagTime5TextInternal::ClusterText::m_plcDefNumFree

the number of free block in the plc definition list

Referenced by RagTime5Text::readPLC().

std::vector<PLC> RagTime5TextInternal::ClusterText::m_PLCList

the PLC list

Referenced by RagTime5Text::readPLC(), RagTime5Text::readPLCToCharStyle(), and RagTime5Text::send().

RagTime5ClusterManager::Link RagTime5TextInternal::ClusterText::m_plcToStyleLink

the plc to text style link

Referenced by RagTime5Text::readPLCToCharStyle().

std::multimap<int, int> RagTime5TextInternal::ClusterText::m_posToStyleIdMap

position to plc map

Referenced by RagTime5Text::readPLCToCharStyle(), and RagTime5Text::send().

RagTime5ClusterManager::Link RagTime5TextInternal::ClusterText::m_separatorLink

the word/separator link

Referenced by RagTime5Text::send().

RagTime5ClusterManager::Link RagTime5TextInternal::ClusterText::m_unknownLink[2]

list of unknown link: first with field of size 14, 2th with field of size 12

The documentation for this struct was generated from the following file:

- RagTime5Text.cxx